Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mule.module.pgp
Class KeyBasedEncryptionStrategy

    java.lang.Object
      org.mule.security.AbstractNamedEncryptionStrategy
          org.mule.module.pgp.KeyBasedEncryptionStrategy

All Implemented Interfaces:
  EncryptionStrategy, Initialisable

    public class KeyBasedEncryptionStrategy

extends AbstractNamedEncryptionStrategy

Field Summary
`protected static Log` | `logger` logger used by this class

Fields inherited from interface org.mule.api.lifecycle.Initialisable
`PHASE_NAME`

Constructor Summary
`KeyBasedEncryptionStrategy()`

Method Summary
`InputStream` | `decrypt(InputStream data, Object cryptInfo)`
`InputStream` | `encrypt(InputStream data, Object cryptInfo)`
`CredentialsAccessor` | `getCredentialsAccessor()`
`PGPKeyRing` | `getKeyManager()`
`void` | `initialise()` Method used to perform any initialisation work.
`boolean` | `isCheckKeyExpirity()`
`void` | `setCheckKeyExpirity(boolean checkKeyExpirity)`
`void` | `setCredentialsAccessor(CredentialsAccessor credentialsAccessor)`
`void` | `setKeyManager(PGPKeyRing keyManager)`

Methods inherited from class org.mule.security.AbstractNamedEncryptionStrategy
`decrypt, encrypt, getName, setName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### logger

    protected static final Log logger

  logger used by this class

Constructor Detail

### KeyBasedEncryptionStrategy

    public KeyBasedEncryptionStrategy()

Method Detail

### initialise

    public void initialise()
                    throws InitialisationException

  Description copied from interface: `Initialisable`
  Method used to perform any initialisation work. If a fatal error occurs during initialisation an `InitialisationException` should be thrown, causing the Mule instance to shutdown. If the error is recoverable, say by retrying to connect, a `RecoverableException` should be thrown. There is no guarantee that by throwing a Recoverable exception that the Mule instance will not shut down.

  Throws:
    `InitialisationException` - if a fatal error occurs causing the Mule instance to shutdown
    `RecoverableException` - if an error occurs that can be recovered from

### encrypt

    public InputStream encrypt(InputStream data,
                               Object cryptInfo)
                        throws CryptoFailureException

  Throws:
    `CryptoFailureException`

### decrypt

    public InputStream decrypt(InputStream data,
                               Object cryptInfo)
                        throws CryptoFailureException

  Throws:
    `CryptoFailureException`

### getKeyManager

    public PGPKeyRing getKeyManager()

### setKeyManager

    public void setKeyManager(PGPKeyRing keyManager)

### getCredentialsAccessor

    public CredentialsAccessor getCredentialsAccessor()

### setCredentialsAccessor

    public void setCredentialsAccessor(CredentialsAccessor credentialsAccessor)

### isCheckKeyExpirity

    public boolean isCheckKeyExpirity()

### setCheckKeyExpirity

    public void setCheckKeyExpirity(boolean checkKeyExpirity)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2010 MuleSoft, Inc.. All Rights Reserved.